package org.dive4elements.river.client.client.services;

import com.google.gwt.user.client.rpc.RemoteService;
import com.google.gwt.user.client.rpc.RemoteServiceRelativePath;

import org.dive4elements.river.client.shared.model.Collection;


/**
 * This interface describes a method that retrieves a list of Collections owned
 * by a specified user.
 *
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
@RemoteServiceRelativePath("user-collections")
public interface UserCollectionsService extends RemoteService {

    /**
     * This method retrieves the user that is currently logged in.
     *
     * @param serverUrl The url of the artifact server.
     * @param locale The locale used for the request object.
     * @param userid The identifier of the owner.
     *
     * @return the current {@link User}.
     */
    Collection[] getUserCollections(String locale, String userid);
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
